This page was not yet optimized for use on mobile devices.
SUSE Linux Enterprise Kernel Crypto API Cryptographic Module
Certificate details
| Certificate ID | #4727 |
|---|---|
| Status | active |
| Validation dates | 15.07.2024 |
| Sunset date | 14-07-2029 |
| Standard | FIPS 140-3 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | Interim validation. When operated in approved mode. When installed, initialized and configured as specified in section 11 of the Security Policy |
| Exceptions |
|
| Description | SUSE Linux Enterprise Kernel Crypto API Module provides cryptographic services to the Linux operating system kernel. |
| Tested configurations |
|
| Vendor | SUSE, LLC http://www.suse.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, HMAC, CMACAsymmetric Algorithms
ECDH, ECDSA, ECC, Diffie-Hellman, DHHash functions
SHA-1, SHA-256, SHA-512, SHA2, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, SHA3Schemes
MAC, Key AgreementProtocols
IPsecRandomness
DRBG, RNGElliptic Curves
P-256, P-384Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTrusted Execution Environments
SSCSecurity level
level 1Standards
FIPS 140-3, FIPS197, FIPS 186-4, FIPS186-4, FIPS198-1, FIPS140-3, FIPS202, FIPS180-4, FIPS PUB 140-3, SP 800-140B, PKCS#1, RFC4106, RFC7919, RFC3526, RFC3394, RFC5649, ISO/IEC 24759Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4727,
"dgst": "ec297c73445f953c",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"#A3099",
"AES-CFB128A3128",
"#A3059",
"#A3115",
"#A3125",
"#A3072",
"#A3094",
"#A3054",
"#A3091",
"Safe Primes Key GenerationA3088",
"HMAC-SHA2-384A3132",
"#A3090",
"#A3057",
"#A3098",
"#A3116",
"KAS-ECC-SSC Sp800-56Ar3A3089",
"HMAC-SHA-1A3125",
"#A3083",
"AES-CCMA3128",
"#A3126",
"#A3078",
"#A3096",
"#A3131",
"#A3047",
"#A3061",
"#A3044",
"SHA2-512A3132",
"KAS-FFC-SSC Sp800-56Ar3A3088",
"AES-CMACA3128",
"#A3058",
"#A3046",
"#A3119",
"#A3114",
"#A3088",
"HMAC-SHA3-512A3126",
"#A3112",
"#A3103",
"SHA3-384A3126",
"SHA-1A3125",
"#A3070",
"HMAC-SHA3-256A3126",
"ECDSA KeyGen (FIPS186-4)A3089",
"#A3079",
"#A3077",
"#A3101",
"#A3048",
"HMAC-SHA2-512A3132",
"AES-KWA3128",
"SHA2-224A3132",
"#A3075",
"#A3108",
"AES-CBC-CS3A3128",
"#A3127",
"#A3104",
"#A3055",
"AES-OFBA3128",
"#A3106",
"SHA2-256A3132",
"#A3117",
"Counter DRBGA3130",
"#A3045",
"Hash DRBGA3130",
"#A3132",
"HMAC-SHA3-384A3126",
"#A3089",
"#A3067",
"#A3128",
"#A3113",
"#A3071",
"SHA3-512A3126",
"SHA2-384A3132",
"#A3087",
"#A3092",
"#A3053",
"#A3074",
"#A3097",
"#A3093",
"#A3130",
"HMAC DRBGA3130",
"#A3095",
"RSA SigVer (FIPS186-4)A3118",
"SHA3-224A3126",
"#A3052",
"HMAC-SHA2-224A3132",
"AES-GCMA3130",
"#A3043",
"#A3100",
"#A3065",
"#A3049",
"HMAC-SHA2-256A3132",
"#A3084",
"#A3073",
"#A3069",
"#A3118",
"AES-CBCA3131",
"#A3110",
"HMAC-SHA3-224A3126",
"#A3068",
"#A3129",
"#A3086",
"#A3111",
"#A3102",
"#A3085",
"AES-CTRA3131",
"AES-ECBA3131",
"#A3050",
"AES-XTS Testing Revision 2.0A3131",
"#A3107",
"#A3109",
"#A3076",
"SHA3-256A3126",
"#A3081",
"#A3064",
"#A3082",
"#A3080",
"#A3051",
"#A3066",
"#A3063",
"#A3062",
"#A3056"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 30,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 1
},
"ECDH": {
"ECDH": 3
},
"ECDSA": {
"ECDSA": 6
}
},
"FF": {
"DH": {
"DH": 4,
"Diffie-Hellman": 29
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 7
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 3
},
"ECB": {
"ECB": 3
},
"GCM": {
"GCM": 15
},
"OFB": {
"OFB": 2
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IPsec": {
"IPsec": 2
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 4
},
"MAC": {
"MAC": 19
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 8,
"P-384": 4
}
},
"eval_facility": {
"atsec": {
"atsec": 50
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES key 128, 192": 1,
"AES-128": 1,
"AES-192": 1,
"AES-256": 1,
"AES-GCM 128": 1,
"HMAC- SHA-1": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA2": 2,
"PKCS#1": 2,
"SHA- 1": 1,
"SHA-1": 13,
"SHA-256": 3,
"SHA-3": 4,
"SHA-512": 1,
"SHA2": 2,
"SHA2-224": 10,
"SHA2-256": 20,
"SHA2-384": 11,
"SHA2-512": 8,
"SHA2-512 2": 1,
"SHA2-512 2048": 1,
"SHA3": 1,
"SHA3-224": 3,
"SHA3-256": 3,
"SHA3-384": 3,
"SHA3-512": 4
}
},
"fips_security_level": {
"Level": {
"level 1": 1
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 13
},
"SHA2": {
"SHA-256": 3,
"SHA-512": 1,
"SHA2": 2
},
"SHA3": {
"SHA-3": 4,
"SHA3": 1,
"SHA3-224": 3,
"SHA3-256": 3,
"SHA3-384": 3,
"SHA3-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 29
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 55,
"FIPS 186-4": 3,
"FIPS PUB 140-3": 1,
"FIPS140-3": 3,
"FIPS180-4": 2,
"FIPS186-4": 4,
"FIPS197": 5,
"FIPS198-1": 8,
"FIPS202": 2
},
"ISO": {
"ISO/IEC 24759": 2
},
"NIST": {
"SP 800-140B": 1
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC3394": 1,
"RFC3526": 1,
"RFC4106": 5,
"RFC5649": 1,
"RFC7919": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 54,
"AES-": 14,
"AES-128": 1,
"AES-192": 1,
"AES-256": 1
}
},
"constructions": {
"MAC": {
"CMAC": 8,
"HMAC": 33
}
}
},
"tee_name": {
"IBM": {
"SSC": 3
}
},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Counter DRBGA3130",
"HMAC-SHA3-512A3126",
"AES-CFB128A3128",
"AES-CBCA3131",
"Hash DRBGA3130",
"HMAC-SHA3-224A3126",
"HMAC-SHA3-384A3126",
"SHA3-384A3126",
"SHA-1A3125",
"HMAC-SHA3-256A3126",
"SHA3-512A3126",
"ECDSA KeyGen (FIPS186-4)A3089",
"SHA2-384A3132",
"Safe Primes Key GenerationA3088",
"HMAC-SHA2-384A3132",
"AES-CTRA3131",
"KAS-ECC-SSC Sp800-56Ar3A3089",
"HMAC-SHA2-512A3132",
"AES-KWA3128",
"AES-ECBA3131",
"SHA2-224A3132",
"HMAC DRBGA3130",
"HMAC-SHA-1A3125",
"AES-CCMA3128",
"AES-XTS Testing Revision 2.0A3131",
"RSA SigVer (FIPS186-4)A3118",
"AES-CBC-CS3A3128",
"SHA3-256A3126",
"SHA3-224A3126",
"SHA2-512A3132",
"KAS-FFC-SSC Sp800-56Ar3A3088",
"AES-CMACA3128",
"HMAC-SHA2-224A3132",
"AES-GCMA3130",
"AES-OFBA3128",
"HMAC-SHA2-256A3132",
"SHA2-256A3132"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A3099",
"#A3059",
"#A3115",
"#A3125",
"#A3072",
"#A3094",
"#A3054",
"#A3091",
"#A3090",
"#A3057",
"#A3098",
"#A3116",
"#A3083",
"#A3126",
"#A3078",
"#A3096",
"#A3131",
"#A3047",
"#A3061",
"#A3044",
"#A3058",
"#A3046",
"#A3119",
"#A3114",
"#A3088",
"#A3112",
"#A3103",
"#A3070",
"#A3079",
"#A3077",
"#A3101",
"#A3048",
"#A3075",
"#A3108",
"#A3127",
"#A3104",
"#A3055",
"#A3106",
"#A3117",
"#A3045",
"#A3132",
"#A3089",
"#A3067",
"#A3128",
"#A3113",
"#A3071",
"#A3087",
"#A3092",
"#A3053",
"#A3074",
"#A3097",
"#A3093",
"#A3130",
"#A3095",
"#A3052",
"#A3043",
"#A3100",
"#A3065",
"#A3049",
"#A3084",
"#A3073",
"#A3069",
"#A3118",
"#A3110",
"#A3068",
"#A3129",
"#A3086",
"#A3111",
"#A3102",
"#A3085",
"#A3050",
"#A3107",
"#A3109",
"#A3076",
"#A3081",
"#A3064",
"#A3082",
"#A3080",
"#A3051",
"#A3066",
"#A3063",
"#A3062",
"#A3056"
]
},
"policy_metadata": {
"/CreationDate": "D:20240703204829Z00\u002700\u0027",
"/ModDate": "D:20240703204829Z00\u002700\u0027",
"/Producer": "macOS Version 13.6.7 (Build 22G720) Quartz PDFContext",
"pdf_file_size_bytes": 1160272,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35739",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35672",
"https://www.ietf.org/rfc/rfc3447.txt",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35661",
"https://documentation.suse.com/sle-rt/15-SP4/",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35726",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35721",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35684",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35719",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35680",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35709",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35740",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.202.pdf",
"https://documentation.suse.com/sle-micro/5.3/single-html/SLE-Micro-security/#sec-fips-slemicro-install",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar2.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35673",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35723",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/19",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35668",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35685",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35671",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35720",
"https://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Ar3.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35735",
"https://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35716",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35693",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35702",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35700",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35665",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35658",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35691",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35724",
"https://csrc.nist.gov/publications/nistpubs/800-108/sp800-108.pdf",
"https://www.ietf.org/rfc/rfc3394.txt",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35689",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35657",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35663",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38G.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35695",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35706",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35710",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-133r2.pdf",
"https://documentation.suse.com/sles/15-SP4/html/SLES-all/book-security.html",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35699",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35708",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35729",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35678",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35728",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35683",
"https://documentation.suse.com/sled/15-SP4/html/SLED-all/book-security.html",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35674",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35681",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35669",
"https://www.ietf.org/rfc/rfc5649.txt",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35692",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35712",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35737",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35741",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-57pt1r5.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35701",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35675",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35676",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35717",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-135r1.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35705",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38B.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38a.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35727",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35696",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35697",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35711",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35707",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35698",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35690",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35713",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-132.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35656",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35662",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35703",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35677",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-56Cr2.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35687",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35659",
"https://csrc.nist.gov/publications/detail/sp/800-56b/rev-2/final",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35725",
"https://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35722",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90B.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35653",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35738",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35718",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35736",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35682",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35666",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35704",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35686",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/entropy-validations/certificate/20",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35742",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35655",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35667",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35688",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35694",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35660",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38e.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35654",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35714",
"https://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-140B.pdf",
"https://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38d.pdf",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35664",
"https://csrc.nist.gov/projects/cryptographic-algorithm-validation-program/details?validation=35679"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 48
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "6ebe9a72d306aa2fa48ef8959858889f6e9a1a90be9ca51d4e62d193144c9eb6",
"source_hash": "c5e3fa621751e22450689ddd86564e1324e6d1f4f75ff554f4f7c74b726d4385",
"txt_hash": "0e6854d718eb5a031412bbb5ebcfb5583a4ac8d7a17c2ce63b912fc7179e4f3c"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "Interim validation. When operated in approved mode. When installed, initialized and configured as specified in section 11 of the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/July 2024_010824_1146.pdf",
"date_sunset": "2029-07-14",
"description": "SUSE Linux Enterprise Kernel Crypto API Module provides cryptographic services to the Linux operating system kernel.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical security: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "SUSE Linux Enterprise Kernel Crypto API Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": "3.3[1] and 3.4[2]",
"tested_conf": [
"SUSE Linux Enterprise Server 15 SP4 on PowerVM (VIOS 3.1.4.00) running on IBM Power E1080 (9080-HEX) with Power10 with PAA[1]",
"SUSE Linux Enterprise Server 15 SP4 on PowerVM (VIOS 3.1.4.00) running on IBM Power E1080 (9080-HEX) with Power10 without PAA[1]",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE G242-P32-QZ with ARM Ampere(R) Altra(R) Q80-30 with PAA[1]",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE G242-P32-QZ with ARM Ampere(R) Altra(R) Q80-30 without PAA[1]",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE R181-Z90-00 with AMD EPYC(TM) 7371 with PAA[1][2]",
"SUSE Linux Enterprise Server 15 SP4 running on GIGABYTE R181-Z90-00 with AMD EPYC(TM) 7371 without PAA[1][2]",
"SUSE Linux Enterprise Server 15 SP4 running on IBM z/15 with z15 with PAI[1]",
"SUSE Linux Enterprise Server 15 SP4 running on IBM z/15 with z15 without PAI[1]",
"SUSE Linux Enterprise Server 15 SP4 running on Supermicro Super Server SYS-6019P-WTR with Intel(R) Xeon(R) Silver 4215R with PAA[1][2]",
"SUSE Linux Enterprise Server 15 SP4 running on Supermicro Super Server SYS-6019P-WTR with Intel(R) Xeon(R) Silver 4215R without PAA[1][2]"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2024-07-15",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "SUSE, LLC",
"vendor_url": "http://www.suse.com"
}
}